<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>ITEA-JS ADVANCED - LESSON 2: CLASSWORK 3</title>
  <link rel="stylesheet" href="css/style.min.css" />
</head>
<body>
  <div class="buttons" id="target">
    <button class="popup__button" id="popup_1" data-popup="1"> Show popup 1</button>
    <button class="popup__button" id="popup_2" data-popup="2"> Show popup 2</button>
    <button class="popup__button" id="popup_3" data-popup="3"> Show popup 3</button>
  </div>

  <div class="popup" id="popup">

    <div class="popup__body">
      <button class="popup__close" id="popup__close">Close popup</button>
      <div class="popup__container" id="popup__containe">
        <div class="popup__item show" data-popup="1"><h2>I'm first popup</h2></div>
        <div class="popup__item" data-popup="2"><h2>I'm second popup</h2></div>
        <div class="popup__item" data-popup="3"><h2>I'm third popup</h2></div>
      </div>
    </div>
  </div>

  <script>
    /*

      Задача: Сделать корректно работающее всплывающее окно.
      Условие: Узменять HTML разметку выше - нельзя.
      При нажании на одну из кнопок, должно открытся окно с соответствующим data- аттрибутом.
      При нажатии на кнопку close окно дожно закрываться.

    */
    // var buttons = document.querySelector('.buttons');
    // var popUp = document.querySelector('.popup');
    // var items = document.querySelectorAll('.popup__item');
    // var container = document.querySelector('.popup__container')
    // var closeBtn = document.getElementById('popup__close');
    // popup.style.display = 'none';
    // closeBtn.onclick = function(){
    //   popUp.style.display = 'none';
    // }
    // buttons.onclick = function(e){
    //   if(e.target.dataset.popup == 1){        
    //     popUp.style.display = 'flex';        
    //     container.querySelector('[data-popup="1"]').style.display='block';
    //     container.querySelector('[data-popup="2"]').style.display='none';
    //     container.querySelector('[data-popup="3"]').style.display='none';
    //   }
    //   else if(e.target.dataset.popup == 2){
    //      popUp.style.display = 'flex';
    //     container.querySelector('[data-popup="1"]').style.display='none';
    //     container.querySelector('[data-popup="2"]').style.display='block';
    //     container.querySelector('[data-popup="3"]').style.display='none';
    //   }
    //   else if(e.target.dataset.popup == 3){
    //      popUp.style.display = 'flex';
    //     container.querySelector('[data-popup="1"]').style.display='none';
    //     container.querySelector('[data-popup="2"]').style.display='none';
    //     container.querySelector('[data-popup="3"]').style.display='block';
    //   }
    // }

  const buttons = document.querySelector(".buttons").querySelectorAll(".popup__button");
  const buttonClose = document.querySelector(".popup__close");
  const popup = document.querySelector(".popup");
  const container = document.querySelector('.popup__container');
  
   buttonClose.onclick = function() {
      const popupToHide = document.querySelector(".show");
      popupToHide.classList.remove("show");
      popup.style.display = "none";
    }
  
   buttons.forEach( function(button) {
        button.onclick = function() {
        const selectedIndex = button.dataset.popup;
        const popUpToShow = container.querySelector('[data-popup="' + selectedIndex + '"]');
        popUpToShow.classList.toggle("show");
        popup.style.display = "flex";
    }
})
      
  </script>
</body>
</html>
